--- check_snmp_storage.pl.orig	2012-02-06 18:44:24.000000000 +0000
+++ check_snmp_storage.pl	2022-06-12 15:17:10.870893815 +0100
@@ -18,5 +18,5 @@
 # Nagios specific
 
-use lib "/usr/local/nagios/libexec";
+use lib "/usr/lib64/nagios/plugins";
 use utils qw(%ERRORS $TIMEOUT);
 #my $TIMEOUT = 15;
@@ -412,5 +412,5 @@
 $session->translate(Net::SNMP->TRANSLATE_NONE);
 if (defined ($o_index)){
-  if (Net::SNMP->VERSION < 4) {
+  if (Net::SNMP->VERSION lt 4) {
     $resultat = $session->get_table($index_table);
   } else {
@@ -418,5 +418,5 @@
   }
 } else {
-  if (Net::SNMP->VERSION < 4) {
+  if (Net::SNMP->VERSION lt 4) {
     $resultat = $session->get_table($descr_table);
   } else {
@@ -426,5 +426,5 @@
 #get storage typetable for reference
 if (defined($o_storagetype)){
-  if (Net::SNMP->VERSION < 4) {
+  if (Net::SNMP->VERSION lt 4) {
     $stype = $session->get_table($storagetype_table);
   } else {
@@ -492,5 +492,5 @@
 my $result=undef;
 
-if (Net::SNMP->VERSION < 4) {
+if (Net::SNMP->VERSION lt 4) {
   $result = $session->get_request(@oids);
 } else {
