# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/


Name:    nagios-plugins-check_snmp_storage
Version: 1.3.3
Release: 1.ndias%{?dist}
Summary: Nagios plugin to checks storages (disks, swap, memory, etc...)

License: GPL
URL:     http://nagios.manubulon.com/
Source0: http://nagios.manubulon.com/check_snmp_storage.pl
Patch0:  Patch-check_snmp_storage.pl

BuildArch: noarch

Requires: perl-Net-SNMP, nagios-plugins-perl

%description
Nagios plugin to checks storages (disks, swap, memory, etc...)

%prep
%setup -Tc
cp -f %{SOURCE0} .

%patch0 -p0

%build


%install
install -p -m 755 -D check_snmp_storage.pl %{buildroot}/%{_libdir}/nagios/plugins/check_snmp_storage.pl

%files
%doc
%license

%{_libdir}/nagios/plugins/check_snmp_storage.pl

%changelog
* Sun Jun 12 2022 Nuno Dias <Nuno.Dias@gmail.com> - 1.3.3-1.ndias
- Version 1.3.3
